GET /pad/
thespacedevs.com:launch-library-api
Summary: List launch pads
Operation ID: listPads
Auth: unknown
Operation ID: listPads
Auth: unknown
Description
Returns a paginated list of launch pads at various spaceports.
Parameters (3)
limit
(integer, query, optional, default: 10)
Number of results to return per page
Constraints: {'maximum': 100}
location
(integer, query, optional)
Filter by location ID
offset
(integer, query, optional, default: 0)
Index of the first result to return
Examples (3)
| Title | Type | URL | Action |
|---|---|---|---|
| List all launch pads (default pagination) | curl |
https://ll.thespacedevs.com/2.2.0/pad/ |
|
| List launch pads with custom limit | curl |
https://ll.thespacedevs.com/2.2.0/pad/?limit=5 |
|
| List launch pads filtered by location with pagination | curl |
https://ll.thespacedevs.com/2.2.0/pad/?location__id=1&limit=10&offset=0 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:32:19.377760 | 429 | 214ms | |
| 2026-03-23 09:35:40.716520 | 429 | 206ms | |
| 2026-03-23 09:03:59.269150 | 200 | 650ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:35:40.716520 | ead656be58ad |
f3e07886896d |
| 2026-03-23 10:32:19.377760 | f3e07886896d |
184159120f6a |